Omnisphere Collection

This collection includes all patches that I've currently made for Spectrasonics Omnisphere 2 at a discounted price of 25% off. This currently includes - 

 

  • Ares for Omnisphere
  • Fractal for Omnisphere
  • Halcyon for Omnisphere
  • Oblivion for Omnisphere
  • Dystopia for Omnisphere
  • Compatibility

    This collection requires Spectrasonics Omnisphere v2.5.0 or later. Using this product with earlier versions may cause issues.

  • Terms & Conditions

    By purchasing this library, you are agreeing to abide by the Terms & Conditions laid out. You can view these here.

£74.99Price
  • Facebook - Black Circle
  • Instagram - Black Circle
  • Twitter - Black Circle
  • YouTube - Black Circle